# Get Permissions

<mark style="color:blue;">**`GET`**</mark> `https://api.sfox.com/v1/enterprise/monetization/permissions`

This endpoint returns all enabled monetization permissions for a Partner. The Partner can create monetization settings for any of the configurations returned from this endpoint. If a configuration is not listed, the Partner does not have the permissions to monetize that configuration.

## Responses

<details>

<summary><mark style="color:green;"><strong>200 OK</strong></mark></summary>

```json
{
    "data": [
        {
            "monetized_feature": "Custody",
            "monetization_method": "Flat Fee"
        },
        {
            "monetized_feature": "Margin",
            "monetization_method": "Fee Rate"
        },
        {
            "monetized_feature": "Post-Trade Settlement",
            "monetization_method": "Fee Rate"
        },
        {
            "monetized_feature": "Request for Quote",
            "monetization_method": "Fee Rate"
        },
        {
            "monetized_feature": "Request for Quote",
            "monetization_method": "Spread Adjustment"
        },
        {
            "monetized_feature": "Spot Trading",
            "monetization_method": "Fee Rate"
        },
        {
            "monetized_feature": "Staking",
            "monetization_method": "Fee Rate"
        },
        {
            "monetized_feature": "Withdraw",
            "monetization_method": "Flat Fee"
        }
    ]
}
```

</details>

## Response Body

| Key                    | Description                      |
| ---------------------- | -------------------------------- |
| `monetization_feature` | The sFOX feature to be monetized |
| `monetization_method`  | The monetization method          |

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```sh
curl -X GET \
-H "Authorization: Bearer ${ENTERPRISE_API_KEY}" \
'https://api.sfox.com/v1/enterprise/monetization/permissions'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

const config = {
  method: 'post',
  url: 'https://api.sfox.com/v1/enterprise/monetization/permissions',
  headers: {
    'Authorization': `Bearer ${process.env.ENTERPRISE_API_KEY}`
  }
}

axios(config)
  .then((response) => {
    console.log(response.status);
    console.log(response.data);
  })
  .catch((error) => {
    console.error(error.response.status);
    console.error(error.response.data);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os

data = requests.get(
  "https://api.sfox.com/v1/enterprise/monetization/permissions",
  headers={
    "Authorization": f"Bearer {os.environ['ENTERPRISE_API_KEY']}"
  }
)
print(data.status_code)
print(data.json())
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/connect/rest-api/monetization/get-permissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
